cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/theme-templates/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"theme": {},
"workspaceId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/theme-templates/"
payload = {
"name": "<string>",
"theme": {},
"workspaceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', theme: {}, workspaceId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/theme-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"themeTemplate": {
"id": "<string>",
"name": "<string>",
"theme": {},
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Theme Templates
Create Theme Templates
Create Theme Templates with the Sendbot API v3.
POST
/
v3
/
theme-templates
/
cURL
curl --request POST \
--url http://127.0.0.1:3333/v3/theme-templates/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"theme": {},
"workspaceId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/theme-templates/"
payload = {
"name": "<string>",
"theme": {},
"workspaceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', theme: {}, workspaceId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/theme-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"themeTemplate": {
"id": "<string>",
"name": "<string>",
"theme": {},
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Default Response
Show child attributes
Show child attributes